curl --request GET \
--url https://api.olostep.com/v1/crawls/{crawl_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/crawls/{crawl_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/crawls/{crawl_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"created": 123,
"start_date": "<string>",
"start_url": "<string>",
"max_pages": 123,
"max_depth": 123,
"exclude_urls": [
"<string>"
],
"include_urls": [
"<string>"
],
"include_external": true,
"search_query": "<string>",
"top_n": 123,
"current_depth": 123,
"pages_count": 123,
"webhook": "<string>",
"follow_robots_txt": true,
"credits_consumed": 123,
"cost_usd": 123
}Crawl-Informationen
Ruft Informationen über einen bestimmten Crawl ab.
Autorisierungen
Bearer-Authentifizierungsheader in der Form Bearer , wobei dein Authentifizierungstoken ist.
Pfadparameter
Die ID des Crawls, für den Informationen abgerufen werden sollen.
Antwort
Erfolgreiche Antwort mit Crawl-Informationen.
Crawl-ID
Die Art des Objekts. "crawl" für diesen Endpunkt.
in_progress oder completed
Erstellungszeit im Epoch-Format
Erstellungszeit im Datumsformat
Die aktuelle Tiefe des Crawl-Prozesses.
Anzahl der gecrawlten Seiten
Anzahl der durch diese Anfrage verbrauchten Credits. Wird nach Abschluss der Ausführung ausgefüllt. Credits sind die Grundlage für die Abrechnung.
Geschätzte Kosten in USD für diese Anfrage. Wird nach Abschluss der Ausführung ausgefüllt. Berechnet aus den verbrauchten Credits und deinem Tarif — 99% genau, aber credits_consumed ist der maßgebliche Wert.
War diese Seite hilfreich?